// some basic defines
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

class CfgPatches
{

	class Groups
     {
         units[] = {};
         weapons[] = {};
         requiredVersion = 1.20;
     };


// YUGOSLAV UNITS

	class UCE_YugoslavOfficer
	{
		units[] = {UCE_YugoslavOfficer};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSoldier
	{
		units[] = {UCE_YugoslavSoldier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavGrenadier
	{
		units[] = {UCE_YugoslavGrenadier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSniper
	{
		units[] = {UCE_YugoslavSniper};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavMedic
	{
		units[] = {UCE_YugoslavMedic};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavRPGsoldier
	{
		units[] = {UCE_YugoslavRPGsoldier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavMachinegunner
	{
		units[] = {UCE_YugoslavMachinegunner};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavATsoldier
	{
		units[] = {UCE_YugoslavATsoldier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavAAsoldier
	{
		units[] = {UCE_YugoslavAAsoldier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavEngineer
	{
		units[] = {UCE_YugoslavEngineer};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPPolice
	{
		units[] = {UCE_YugoslavSJPPolice};
		weapons[] = {};
		requiredVersion = 1.20;
	};


	class UCE_YugoslavSJPPoliceOfficer
	{
		units[] = {UCE_YugoslavSJPPoliceOfficer};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecOfficer
	{
		units[] = {UCE_YugoslavSJPSpecOfficer};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecOfficerHK
	{
		units[] = {UCE_YugoslavSJPSpecOfficerHK};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecSoldier
	{
		units[] = {UCE_YugoslavSJPSpecSoldier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecSoldierHK
	{
		units[] = {UCE_YugoslavSJPSpecSoldierHK};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecGrenadier
	{
		units[] = {UCE_YugoslavSJPSpecGrenadier};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecMachinegunner
	{
		units[] = {UCE_YugoslavSJPSpecMachinegunner};
		weapons[] = {};
		requiredVersion = 1.20;
	};

	class UCE_YugoslavSJPSpecSniper
	{
		units[] = {UCE_YugoslavSJPSpecSniper};
		weapons[] = {};
		requiredVersion = 1.20;
	};

};


class CfgVehicles
{

	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierEB:Soldier{};
	class OfficerE:SoldierEB{};
	class SoldierEG:SoldierEB{};
	class SoldierESniper:SoldierEB{};
	class SoldierEMedic:SoldierEB{};
	class SoldierEMG:SoldierEB{};
	class SoldierELAW:SoldierEB{};
	class SoldierEAT:SoldierELAW{};
	class SoldierEAA:SoldierELAW{};
	class SoldierEMiner:SoldierEB{};
	class SoldierESaboteur:SoldierEB{};
	class SoldierESaboteurPipe:SoldierESaboteur{};



// YUGOSLAV UNITS

	class UCE_YugoslavOfficer:OfficerE
	{
		displayName="UCE Yugoslav Officer";
		weapons[]={"Throw","Put","UCE_M70B1","Binocular"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_officer";
	};

	class UCE_YugoslavSoldier:SoldierEB
	{
		displayName="UCE Yugoslav Soldier";
		weapons[]={"Throw","Put","UCE_M70B1"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","HandGrenade","HandGrenade"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavGrenadier:SoldierEB
	{
		displayName="UCE Yugoslav Grenadier";
		weapons[]={"Throw","Put","UCE_M70B1GL"};
		magazines[]={"AK47","AK47","AK47","AK47","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavSniper:SoldierESniper
	{
		displayName="UCE Yugoslav Sniper";
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
		picture="isniper";
	};

	class UCE_YugoslavMedic:SoldierEMedic
	{
		displayName="UCE Yugoslav Medic";
		weapons[]={"Throw","Put","UCE_M70B1"};
		magazines[]={"AK47","AK47","AK47","AK47"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavRPGsoldier:SoldierELAW
	{
		displayName="UCE Yugoslav RPG Soldier";
		weapons[]={"Throw","Put","UCE_M70B1","RPGLauncher"};
		magazines[]={"AK47","AK47","AK47","AK47","RPGLauncher","RPGLauncher","RPGLauncher"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavMachinegunner:SoldierEMG
	{
		displayName="UCE Yugoslav Machine Gunner";
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavATsoldier:SoldierEAT
	{
		displayName="UCE Yugoslav AT Soldier";
		weapons[]={"Throw","Put","UCE_M70B1","AT4Launcher"};
		magazines[]={"AK47","AK47","AK47","AK47","AT4Launcher"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavAAsoldier:SoldierEAA
	{
		displayName="UCE Yugoslav AA Soldier";
		weapons[]={"Throw","Put","UCE_M70B1","9K32Launcher"};
		magazines[]={"AK47","AK47","AK47","AK47","9K32Launcher"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

	class UCE_YugoslavEngineer:SoldierEMiner
	{
		displayName="UCE Yugoslav Engineer";
		weapons[]={"Throw","Put","UCE_M70B1"};
		magazines[]={"AK47","AK47","AK47","AK47","Mine","Mine","Mine"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_soldier";
	};

// YUGOSLAV SPECIAL FORCE POLICE (SJP)

	class UCE_YugoslavSJPPolice:SoldierEB
	{
		displayName="UCE Yugoslav SJP Police";
		weapons[]={"Throw","Put","UCE_M70B1"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_police";
	};

	class UCE_YugoslavSJPPoliceOfficer:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Officer";
		weapons[]={"Throw","Put","UCE_M70B1","Binocular","NVGoggles"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_policeo";
		picture="ivojak";
	};

	class UCE_YugoslavSJPSpecSoldier:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Soldier";
		weapons[]={"Throw","Put","UCE_M70B1","NVGoggles"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_spec";
		picture="ivojak";
	};

	class UCE_YugoslavSJPSpecOfficer:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Spec Officer";
		weapons[]={"Throw","Put","UCE_M70B1","Binocular","NVGoggles"};
		magazines[]={"AK47","AK47","AK47","AK47","AK47","AK47","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_speco";
		picture="ivojak";
	};

	class UCE_YugoslavSJPSpecOfficerHK:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Spec Officer (HK)";
		weapons[]={"Throw","Put","HK","Binocular","NVGoggles"};
		magazines[]={"HK","HK","HK","HK","HK","HK","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_speco";
	};

	class UCE_YugoslavSJPSpecSoldierHK:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Spec Op";
		weapons[]={"Throw","Put","HK","NVGoggles"};
		magazines[]={"HK","HK","HK","HK","HK","HK","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_spec";
	};

	class UCE_YugoslavSJPSpecGrenadier:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Grenadier";
		weapons[]={"Throw","Put","UCE_M70B1GL","NVGoggles"};
		magazines[]={"AK47","AK47","AK47","AK47","GrenadeLauncher","GrenadeLauncher","GrenadeLauncher"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_spec";
		picture="igrenadier";
	};

	class UCE_YugoslavSJPSpecMachinegunner:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Machinegunner";
		weapons[]={"Throw","Put","PK","NVGoggles"};
		magazines[]={"PK","PK","PK","PK","PK"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_spec";
		picture="ismg";
	};

	class UCE_YugoslavSJPSpecSniper:SoldierESaboteurPipe
	{
		displayName="UCE Yugoslav SJP Sniper";
		weapons[]={"Throw","Put","UCE_SVDM_dragunov","NVGoggles"};
		magazines[]={"SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","SVDDragunov","HandGrenade","HandGrenade","SmokeShell","SmokeShell"};
		model="\uce_yugoslavs\Yugoslav\UCE_yugoslav_speco";
		picture="isniper";
	};

};


class CfgGroups
{
   class East
   {
      name="East"

      class UCE_YugoslavInfantry
      {
         name="UCE Yugoslav Infantry";


         class UCE_YugoslavSquad
         {
            name="Infantry Squad";
			class Unit0
			{
			name="1";
			side=0;
			vehicle="UCE_YugoslavOfficer";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSoldier";
			rank="Sergeant";
			position[]={-8,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavGrenadier";
			rank="Sergeant";
			position[]={-6,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSniper";
			rank="Corporal";
			position[]={-4,-3,0};
			};
			class Unit4
			{
			name="5";
			side=0;
			vehicle="UCE_YugoslavRPGsoldier";
			rank="Corporal";
			position[]={-2,-3,0};
			};
			class Unit5
			{
			name="6";
			side=0;
			vehicle="UCE_YugoslavMachinegunner";
			rank="Corporal";
			position[]={0,-3,0};
			};
			class Unit6
			{
			name="7";
			side=0;
			vehicle="UCE_YugoslavMedic";
			rank="Private";
			position[]={2,-3,0};
			};
			class Unit7
			{
			name="8";
			side=0;
			vehicle="UCE_YugoslavSoldier";
			rank="Private";
			position[]={4,-3,0};
			};
         };

         class UCE_YugoslavTroop
         {
            name="Infantry Troop";

			class Unit0
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavOfficer";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSoldier";
			rank="Sergeant";
			position[]={-6,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavGrenadier";
			rank="Corporal";
			position[]={-3,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSoldier";
			rank="Private";
			position[]={3,-3,0};
			};
         };

         class UCE_YugoslavSJPPoliceSquad
         {
            name="SJP Police Squad";
			class Unit0
			{
			name="1";
			side=0;
			vehicle="UCE_YugoslavSJPPoliceOfficer";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={-8,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={-6,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Corporal";
			position[]={-4,-3,0};
			};
			class Unit4
			{
			name="5";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={-2,-3,0};
			};
			class Unit5
			{
			name="6";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={0,-3,0};
			};
			class Unit6
			{
			name="7";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Corporal";
			position[]={2,-3,0};
			};
			class Unit7
			{
			name="8";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Corporal";
			position[]={4,-3,0};
			};
         };

         class UCE_YugoslavSJPPoliceTroop
         {
            name="SJP Police Troop";

			class Unit0
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPPoliceOfficer";
			rank="Lieutnant";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={-6,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Sergeant";
			position[]={-3,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPPolice";
			rank="Corporal";
			position[]={3,-3,0};
			};
         };

         class UCE_YugoslavSJPCombatSquad
         {
            name="SJP Combat Squad";
			class Unit0
			{
			name="1";
			side=0;
			vehicle="UCE_YugoslavSJPSpecOfficer";
			rank="Captain";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecMachinegunner";
			rank="Lieutnant";
			position[]={-8,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPSpecGrenadier";
			rank="Lieutnant";
			position[]={-6,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSniper";
			rank="Lieutnant";
			position[]={-4,-3,0};
			};
			class Unit4
			{
			name="5";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Sergeant";
			position[]={-2,-3,0};
			};
			class Unit5
			{
			name="6";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Sergeant";
			position[]={0,-3,0};
			};
			class Unit6
			{
			name="7";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Sergeant";
			position[]={2,-3,0};
			};
			class Unit7
			{
			name="8";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Sergeant";
			position[]={4,-3,0};
			};
         };

         class UCE_YugoslavSJPCombatTroop
         {
            name="SJP Combat Troop";

			class Unit0
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecOfficer";
			rank="Captain";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecGrenadier";
			rank="Lieutnant";
			position[]={-6,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Lieutnant";
			position[]={-3,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldier";
			rank="Sergeant";
			position[]={3,-3,0};
			};
         };


         class UCE_YugoslavSJPStealthSquad
         {
            name="SJP Stealth Squad";
			class Unit0
			{
			name="1";
			side=0;
			vehicle="UCE_YugoslavSJPSpecOfficerHK";
			rank="Captain";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Lieutnant";
			position[]={-8,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Lieutnant";
			position[]={-6,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Sergeant";
			position[]={-4,-3,0};
			};
			class Unit4
			{
			name="5";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Sergeant";
			position[]={-2,-3,0};
			};
			class Unit5
			{
			name="6";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Sergeant";
			position[]={0,-3,0};
			};
			class Unit6
			{
			name="7";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSniper";
			rank="Lieutnant";
			position[]={2,-3,0};
			};
			class Unit7
			{
			name="8";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSniper";
			rank="Sergeant";
			position[]={4,-3,0};
			};
         };

         class UCE_YugoslavSJPStealthTroop
         {
            name="SJP Stealth Troop";

			class Unit0
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecOfficerHK";
			rank="Captain";
			position[]={0,0,0};
			};
			class Unit1
			{
			name="2";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Lieutnant";
			position[]={-6,-3,0};
			};
			class Unit2
			{
			name="3";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Lieutnant";
			position[]={-3,-3,0};
			};
			class Unit3
			{
			name="4";
			side=0;
			vehicle="UCE_YugoslavSJPSpecSoldierHK";
			rank="Sergeant";
			position[]={3,-3,0};
			};
         };

	};

    };

};